set rcsId {$Id: html.tcl,v 1.2 1998/04/05 18:44:50 jfontain Exp $}

# use a font nicer than the HTML library default one
array set HMtag_map {
    code {family Helvetica}
    kbd {family Helvetica weight bold}
    pre {fill 0 family Helvetica Tnowrap nowrap}
    samp {family Helvetica}
    tt {family Helvetica}
}

proc helpWindow {} {
    global HM.text Url htmlHelpData

    if {[winfo exists .topHelp]} {
        wm deiconify .topHelp
        raise .topHelp
        return
    }
    toplevel .topHelp
    set widget [new scroll text .topHelp]
    pack $widget::($widget,path) -fill both -expand 1
    bind .topHelp <Destroy> "catch {delete $widget}"                                               ;# ignore multiple destroy events
    set text $composite::($widget,scrolled,path)
    focus $text                                                     ;# force focus on text widget so that page up and down keys work

    HMinit_win $text
    set Url {}
    $text configure -state normal
    HMparse_html $htmlHelpData "HMrender $text"
    $text configure -state disabled
    HMset_state $text -stop 1                                                                ;# stop rendering previous page if busy
}

proc HMlink_callback {widget reference} {                                                           ;# supply link callbak procedure
    if {![string match #* $reference]} return                                                 ;# can only handle internal references
    HMgoto $widget [string trimleft $reference #]
}

proc HMset_image {widget label source} {                                                          ;# supply image handling procedure
    pack propagate [winfo parent $label] 1                    ;# do not display image, display alternate text in the smallest window
}
